﻿@page "/"

@using Microsoft.Extensions.Localization
@using OTaskForce.Shared.Modals

@inject IStringLocalizer<Index> _localizer

<section class="d-flex justify-content-center position-fixed" style="left: 0; right: 0; top: 0; bottom: 0;">
    <div class="align-self-center text-center">
        <h3 class="fw-bold m-0">
            <i class="fas fa-cubes" style="color: #fe6700;"></i>
            <span>@_localizer["Overtest TaskForce"]</span>
        </h3>
        <p class="h6 fw-light mt-2 mb-2">@_localizer["Створюйте нові завдання з програмування, просто."]</p>
        <div class="d-flex justify-content-center">
            <div>
                <button class="btn btn-sm btn-dark" data-bs-toggle="modal" data-bs-target="#CreateProjectModal">
                    <i class="fas fa-file-alt"></i>
                    <span>@_localizer["Створити проєкт"]</span>
                </button>
            </div>
            <div class="align-self-center mx-2"><span>@_localizer["або"]</span></div>
            <div>
                <button class="btn btn-sm btn-light border border-dark" data-bs-toggle="modal" data-bs-target="#OpenProjectModal">
                    <i class="fas fa-folder-open"></i>
                    <span>@_localizer["Відкрити існуючий"]</span>
                </button>
            </div>
        </div>
    </div>
</section>

<button class="btn btn-sm btn-about-modal-toggle" data-bs-toggle="modal" data-bs-target="#AboutProgramModal"><i class="fas fa-info-circle"></i></button>

<style>
    button.btn.btn-about-modal-toggle
    {
        position: fixed;
        right: 20px;
        bottom: 20px;
        opacity: 0.8;
    }
    button.btn.btn-about-modal-toggle:hover { opacity: 1; }
</style>

<CreateProjectModal/>
<OpenProjectModal/>